<?php  // vim:set et ts=4 sw=4 sts=4:
# Copyright (C) 2003-2014 hipplay Inc.
#
# This is UNPUBLISHED PROPRIETARY SOURCE CODE OF hipplay Inc.
# The copyright notice above does not evidence any actual or intended
# publication of such source code. The contents of this file may not
# be disclosed to third parties, copied or duplicated in any form, in
# whole or in part, without the prior written permission of
# hipplay Inc.
#
namespace HipPlayConnect\REST\services\indexer;



use HipPlayConnect\REST\AxAbstractRESTService;
use HipPlayConnect\REST\AxRESTResourceNotFoundException;
use HipPlayConnect\REST\AxRESTServiceInterface;

class AxIndexerRESTService extends AxAbstractRESTService implements AxRESTServiceInterface
{
    protected $serviceName = 'indexer';
    protected $resourcesClassNamePrefix = 'Indexer'; 

    public function getResource( array $URIArray )
    {        
        try
        {
            $resourceClassName = $this->getResourceClassName( '' );
            return new $resourceClassName( implode( '/', $URIArray ) );        
        }
        catch ( AxRESTResourceNotFoundException $e )
        {
        	error_log( "could not find indexer resource" );
            return null;
        }   
    }
}
